import { Component, OnInit } from '@angular/core';
import { IonicModule } from '@ionic/angular'; // 导入 IonicModule
import {aperture,glasses,person, logoOctocat } from 'ionicons/icons';
import { EditTagComponent } from '../edit-tag/edit-tag.component';
import { Router } from '@angular/router';
import { EditRatingStarComponent } from '../edit-rating-star/edit-rating-star.component';

@Component({
  selector: 'app-page-test',
  templateUrl: './page-test.component.html',
  styleUrls: ['./page-test.component.scss'],
  standalone: true,
  imports: [IonicModule,EditTagComponent,EditRatingStarComponent]
})
export class PageTestComponent  implements OnInit {

  goToDetail(){
    alert('hello ionic')
  }
  editTags:Array<string> = [];
  setTagsValue(ev:any){
    console.log("setTagsValue",ev)
    this.editTags = ev;
  }

  constructor(private router: Router){}
  ngOnInit(): void {
    console.log('PageTestComponent ngOnInit');
  }
  // 跳转到测试页面
goTestPage(){
  this.router.navigate(['/tabs/test']);}
  
//星星打分
  currentScore: number = 0; // 初始分值

  handleScoreChange(newScore: number) {
    this.currentScore = newScore;
    console.log('新分值:', newScore); // 处理分值变化
  }

}
